Skip to main content
GET
/
streamers
/
new-tokens
Get recently discovered new livestreaming tokens
curl --request GET \
  --url https://api.livesuite.app/streamers/new-tokens \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "mintId": "<string>",
      "coinName": "<string>",
      "coinSymbol": "<string>",
      "discoveredAt": "2023-11-07T05:31:56Z",
      "isNew": true
    }
  ],
  "stats": {},
  "pagination": {}
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Query Parameters

limit
integer
default:50

Number of new tokens to return

Required range: x <= 200
hoursBack
integer
default:24

How many hours back to look for new tokens

Required range: x <= 168
chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

200 - application/json

List of recently discovered new tokens

success
boolean
data
object[]
stats
object
pagination
object